Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/srtm_srtm_224gp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 2056)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SRTM_SRTM_224GP &
  & ( KIDIA , KFDIA  , KLON  , KLEV  , KSW , KOVLP ,&
@@ -15,5 +18,5 @@
 
 USE PARSRTM  , ONLY : JPLAY
-USE YOERDI   , ONLY : RCH4   , RN2O   
+!USE YOERDI   , ONLY : RCH4   , RN2O   
 USE YOERAD   , ONLY : NAER
 USE YOESRTAER, ONLY : RSRTAUA, RSRPIZA, RSRASYA
@@ -21,5 +24,9 @@
 USE YOMCST   , ONLY : RI0 
 
+
+
 IMPLICIT NONE
+
+#include "clesphys.h"
 
 !-- Input arguments
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/sucst.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/sucst.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/sucst.F90	(revision 2056)
@@ -289,5 +289,5 @@
   WRITE(KULOUT,'(10(1X,E10.4))') (ESW(RTT+10._JPRB*J),J=-4,4)
   WRITE(KULOUT,'(10(1X,E10.4))') (ESS(RTT+10._JPRB*J),J=-4,4)
-  call flush()       !!!!! A REVOIR (MPL) les 7 lignes qui suivent
+!  call flush(0)       !!!!! A REVOIR (MPL) les 7 lignes qui suivent
    do j=1,9
      print*,'TEST J',j
@@ -295,5 +295,5 @@
      print*,'ES(RTT...',ES(RTT+10._JPRB*(J-5))
    enddo
-  call flush()
+  call flush(0)
 
   WRITE(KULOUT,'(10(1X,E10.4))') (ES (RTT+10._JPRB*J),J=-4,4)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/suecrad.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/suecrad.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/suecrad.F90	(revision 2056)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SUECRAD (KULOUT, KLEV, PETAH )
 
@@ -303,4 +306,7 @@
 !       LECMWF = .FALSE. 
 ENDIF
+
+!LRRTM  = .FALSE.
+
 !- SRTM as SW scheme
 !!!!! A REVOIR (MPL) verifier signification de LSRTM
@@ -1520,4 +1526,5 @@
 !     ------------------------------------------------------------------
 
+
 IF (LHOOK) CALL DR_HOOK('SUECRAD',1,ZHOOK_HANDLE)
 END SUBROUTINE SUECRAD
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/suphec.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/suphec.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/suphec.F90	(revision 2056)
@@ -69,10 +69,10 @@
 USE YOMCST   , ONLY : RD       ,RV       ,RCPD     ,&
  & RLVTT    ,RLSTT    ,RLMLT    ,RTT      ,RATM 
-USE YOETHF   , ONLY : R2ES     ,R3LES    ,R3IES    ,R4LES    ,&
- & R4IES    ,R5LES    ,R5IES    ,RVTMP2   ,RHOH2O   ,&
- & R5ALVCP  ,R5ALSCP  ,RALVDCP  ,RALSDCP  ,RALFDCP  ,&
- & RTWAT    ,RTBER    ,RTBERCU  ,RTICE    ,RTICECU  ,&
- & RTWAT_RTICE_R      ,RTWAT_RTICECU_R    ,&
- & RKOOP1   ,RKOOP2 
+!USE YOETHF   , ONLY : R2ES     ,R3LES    ,R3IES    ,R4LES    ,&
+! & R4IES    ,R5LES    ,R5IES    ,RVTMP2   ,RHOH2O   ,&
+! & R5ALVCP  ,R5ALSCP  ,RALVDCP  ,RALSDCP  ,RALFDCP  ,&
+! & RTWAT    ,RTBER    ,RTBERCU  ,RTICE    ,RTICECU  ,&
+! & RTWAT_RTICE_R      ,RTWAT_RTICECU_R    ,&
+! & RKOOP1   ,RKOOP2 
 USE YOMPHY   , ONLY : LRAYFM15
 !USE YOERAD   , ONLY : NSW      ,NTSW     ,&
@@ -89,5 +89,5 @@
 
 IMPLICIT NONE
-
+include "YOETHF.h"
 include "clesphys.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/surdi.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/surdi.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/surdi.F90	(revision 2056)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE SURDI
 
@@ -50,10 +53,13 @@
 
 USE YOERDI   , ONLY : RRAE     ,&
- & RCARDI   ,RCH4     ,RN2O     ,RO3      ,RCFC11   ,&
- & RCFC12   ,REPCLC   ,REPH2O   ,RSUNDUR  ,&
+! & RCARDI   ,RCH4     ,RN2O     ,RO3      ,RCFC11   ,&
+ & RCFC12, &   
+ & REPCLC   ,REPH2O   ,RSUNDUR  ,&
  & RCCO2    ,RCCH4    ,RCN2O    ,RCCFC11  ,RCCFC12
+
 
 IMPLICIT NONE
 
+!#include "clesphys.h"
 REAL(KIND=JPRB) :: ZAIRMWG, ZC11MWG, ZC12MWG, ZCH4MWG, ZCO2MWG, ZN2OMWG, ZO3MWG
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
@@ -95,13 +101,15 @@
 !RCFC12  = 484.E-12_JPRB*ZC12MWG/ZAIRMWG
 
-RCARDI  = RCCO2   * ZCO2MWG/ZAIRMWG
-RCH4    = RCCH4   * ZCH4MWG/ZAIRMWG
-RN2O    = RCN2O   * ZN2OMWG/ZAIRMWG
-RO3     = 1.E-06_JPRB*ZO3MWG /ZAIRMWG
-RCFC11  = RCCFC11 * ZC11MWG/ZAIRMWG
-RCFC12  = RCCFC12 * ZC12MWG/ZAIRMWG
+!RCARDI  = RCCO2   * ZCO2MWG/ZAIRMWG
+!RCH4    = RCCH4   * ZCH4MWG/ZAIRMWG
+!RN2O    = RCN2O   * ZN2OMWG/ZAIRMWG
+!RO3     = 1.E-06_JPRB*ZO3MWG /ZAIRMWG
+!RCFC11  = RCCFC11 * ZC11MWG/ZAIRMWG
+!RCFC12  = RCCFC12 * ZC12MWG/ZAIRMWG
+
 
 REPCLC=1.E-12_JPRB
 REPH2O=1.E-12_JPRB
+
 
 !     -----------------------------------------------------------------
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/surface_fields.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/surface_fields.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/surface_fields.F90	(revision 2056)
@@ -505,4 +505,16 @@
 TYPE(TYPE_SFL_VEXTR2)  :: YSD_X2
 
+!$OMP THREADPRIVATE(ndimsurf,ndimsurfl,nofftraj,nofftraj_cst,nprogsurf)
+!$OMP THREADPRIVATE(nprogsurfl,nptrsurf,nstrajgrib,nsurf,nsurfl,ysd_va,ysd_vad)
+!$OMP THREADPRIVATE(ysd_vc,ysd_vcd,ysd_vd,ysd_vdd,ysd_vf,ysd_vfd,ysd_vh,ysd_vhd)
+!$OMP THREADPRIVATE(ysd_vn,ysd_vnd,ysd_vp,ysd_vpd,ysd_vv,ysd_vvd,ysd_vx,ysd_vxd)
+!$OMP THREADPRIVATE(ysd_ws,ysd_wsd,ysd_x2,ysd_x2d,ysd_xa,ysd_xad,ysp_ci,ysp_cid)
+!$OMP THREADPRIVATE(ysp_ep,ysp_epd,ysp_rr,ysp_rrd,ysp_sb,ysp_sbd,ysp_sg,ysp_sgd)
+!$OMP THREADPRIVATE(ysp_x2,ysp_x2d)
+
+!$OMP THREADPRIVATE(sd_va,sd_vc,sd_vd,sd_vf,sd_vh,sd_vn,sd_vp,sd_vv,sd_vx,sd_ws)
+!$OMP THREADPRIVATE(sd_x2,sd_xa,sp_ci,sp_ep,sp_rr,sp_sb,sp_sg,sp_x2,surf_store_array)
+
+
 !-------------------------------------------------------------------------
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/susw15.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/susw15.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/susw15.F90	(revision 2056)
@@ -62,4 +62,6 @@
 REAL(KIND=JPRB)   :: ZPRH2O=30000._JPRB
 REAL(KIND=JPRB)   :: ZPRUMG=30000._JPRB
+
+!$OMP THREADPRIVATE(zpdh2o,zpdumg,zprh2o,zprumg)
 
 REAL(KIND=JPRB) :: ZH2O, ZUMG
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/sw.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/sw.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/sw.F90	(revision 2056)
@@ -80,4 +80,5 @@
 
 integer, save :: icount=0
+!$OMP THREADPRIVATE(icount)
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/swclr.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/swclr.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/swclr.F90	(revision 2056)
@@ -5,5 +5,5 @@
  & PRK   , PRMU0 , PTAUAZ, PTRA1 , PTRA2 , PTRCLR, &
 !++MODIFCODE
-  & LRDUST,PPIZA_DST, PCGA_DST, PTAUREL_DST )
+  & LDDUST,PPIZA_DST, PCGA_DST, PTAU_DST )
 !--MODIFCODE
 
@@ -58,4 +58,5 @@
 !        Y.Seity 05-10-10 : add add 3 optional arg. for dust SW properties
 !        Y.Seity 06-09-09 : add modset from O.Thouron (MesoNH) under NOVLP tests
+!        O.Boucher fev.2014: modification sur les aerosols pour utiliser les variables DST
 !     ------------------------------------------------------------------
 
@@ -71,6 +72,5 @@
 
 IMPLICIT NONE
-
-include "clesphys.h"
+INCLUDE "clesphys.h"
 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
@@ -86,8 +86,8 @@
 REAL(KIND=JPRB)   ,INTENT(IN)    :: PSEC(KLON) 
 !++MODIFCODE
-LOGICAL           ,INTENT(IN)    :: LRDUST                   ! flag for DUST
+LOGICAL           ,INTENT(IN)    :: LDDUST                   ! flag for DUST
 REAL(KIND=JPRB)   ,INTENT(IN)    :: PPIZA_DST(KLON,KLEV)
 REAL(KIND=JPRB)   ,INTENT(IN)    :: PCGA_DST(KLON,KLEV)
-REAL(KIND=JPRB)   ,INTENT(IN)    :: PTAUREL_DST(KLON,KLEV)
+REAL(KIND=JPRB)   ,INTENT(IN)    :: PTAU_DST(KLON,KLEV)
 !--MODIFCODE
 REAL(KIND=JPRB)   ,INTENT(OUT)   :: PCGAZ(KLON,KLEV) 
@@ -157,48 +157,59 @@
 
 !++MODIFCODE  
+!--OB on fait passer les aerosols LMDZ dans la variable DST
   IF(NOVLP < 5)THEN !ECMWF VERSION
-  DO JAE=1,6
+!  DO JAE=1,6
       DO JL = KIDIA,KFDIA
-        PTAUAZ(JL,JK)=PTAUAZ(JL,JK)+PAER(JL,JAE,IKL)*RTAUA(KNU,JAE)
-        PPIZAZ(JL,JK)=PPIZAZ(JL,JK)+PAER(JL,JAE,IKL)&
-         & * RTAUA(KNU,JAE)*RPIZA(KNU,JAE)  
-        PCGAZ(JL,JK) =  PCGAZ(JL,JK) +PAER(JL,JAE,IKL)&
-         & * RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)  
+!        PTAUAZ(JL,JK)=PTAUAZ(JL,JK)+PAER(JL,JAE,IKL)*RTAUA(KNU,JAE)
+        PTAUAZ(JL,JK)=PTAU_DST(JL,IKL)
+!        PPIZAZ(JL,JK)=PPIZAZ(JL,JK)+PAER(JL,JAE,IKL)&
+!         & * RTAUA(KNU,JAE)*RPIZA(KNU,JAE)  
+        PPIZAZ(JL,JK)=PTAU_DST(JL,IKL)*PPIZA_DST(JL,IKL)
+!        PCGAZ(JL,JK) =  PCGAZ(JL,JK) +PAER(JL,JAE,IKL)&
+!         & * RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)  
+        PCGAZ(JL,JK)=PTAU_DST(JL,IKL)*PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)
       ENDDO
-    ENDDO
+!    ENDDO
   ELSE ! MESONH VERSION
-     DO JAE=1,6
+!--OB on utilise directement les aerosols LMDZ
+!     DO JAE=1,6
         DO JL = KIDIA,KFDIA
            !Special optical properties for dust
-           IF (LRDUST.AND.(JAE==3)) THEN
+!           IF (LDDUST.AND.(JAE==3)) THEN
            !Ponderation of aerosol optical properties:first step 
            !ti
-            PTAUAZ(JL,JK)=PTAUAZ(JL,JK) + PAER(JL,JAE,IKL) * PTAUREL_DST(JL,IKL)
+!            PTAUAZ(JL,JK)=PTAUAZ(JL,JK) + PAER(JL,JAE,IKL) * PTAUREL_DST(JL,IKL)
+            PTAUAZ(JL,JK)= PTAU_DST(JL,IKL)
            !wi*ti
-             PPIZAZ(JL,JK)=PPIZAZ(JL,JK) + PAER(JL,JAE,IKL)  &
-                   & *PTAUREL_DST(JL,IKL)*PPIZA_DST(JL,IKL)
+!             PPIZAZ(JL,JK)=PPIZAZ(JL,JK) + PAER(JL,JAE,IKL)  &
+!                   & *PTAUREL_DST(JL,IKL)*PPIZA_DST(JL,IKL)
+             PPIZAZ(JL,JK)=PTAU_DST(JL,IKL)*PPIZA_DST(JL,IKL)
            !wi*ti*gi
-             PCGAZ(JL,JK) = PCGAZ(JL,JK) + PAER(JL,JAE,IKL) &
-                &  *PTAUREL_DST(JL,IKL)*PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)
+!             PCGAZ(JL,JK) = PCGAZ(JL,JK) + PAER(JL,JAE,IKL) &
+!                &  *PTAUREL_DST(JL,IKL)*PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)
+             PCGAZ(JL,JK) = PTAU_DST(JL,IKL)*PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)
            !wi*ti*(gi**2)
-             ZFACOA_NEW(JL,JK)= ZFACOA_NEW(JL,JK)+PAER(JL, JAE, IKL)&
-                & *PTAUREL_DST(JL,IKL) *PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)*&
+!             ZFACOA_NEW(JL,JK)= ZFACOA_NEW(JL,JK)+PAER(JL, JAE, IKL)&
+!                & *PTAUREL_DST(JL,IKL) *PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)*&
+!                & PCGA_DST(JL,IKL)
+             ZFACOA_NEW(JL,JK)= ZFACOA_NEW(JL,JK)+&
+                & PTAU_DST(JL,IKL) *PPIZA_DST(JL,IKL)*PCGA_DST(JL,IKL)*&
                 & PCGA_DST(JL,IKL)
-           ELSE
+!           ELSE
            !Ponderation of aerosol optical properties:first step 
            !ti
-             PTAUAZ(JL,JK)=PTAUAZ(JL,JK)+PAER(JL, JAE, IKL)*RTAUA(KNU,JAE)
+!             PTAUAZ(JL,JK)=PTAUAZ(JL,JK)+PAER(JL, JAE, IKL)*RTAUA(KNU,JAE)
            !wi*ti
-             PPIZAZ(JL,JK)=PPIZAZ(JL,JK)+PAER(JL, JAE, IKL)&
-                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)
+!             PPIZAZ(JL,JK)=PPIZAZ(JL,JK)+PAER(JL, JAE, IKL)&
+!                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)
            !wi*ti*gi
-             PCGAZ(JL,JK) =  PCGAZ(JL,JK) +PAER(JL, JAE, IKL)&
-                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)
+!             PCGAZ(JL,JK) =  PCGAZ(JL,JK) +PAER(JL, JAE, IKL)&
+!                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)
            !wi*ti*(gi**2)
-             ZFACOA_NEW(JL,JK)= ZFACOA_NEW(JL,JK)+PAER(JL, JAE, IKL)&
-                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)*RCGA(KNU,JAE)
-           ENDIF
+!             ZFACOA_NEW(JL,JK)= ZFACOA_NEW(JL,JK)+PAER(JL, JAE, IKL)&
+!                &* RTAUA(KNU,JAE)*RPIZA(KNU,JAE)*RCGA(KNU,JAE)*RCGA(KNU,JAE)
+!           ENDIF
         ENDDO
-     ENDDO
+!     ENDDO
   ENDIF
 !--MODIFCODE  
@@ -217,5 +228,5 @@
 !-- bug-fix: ZRATIO must be defined from the transformed value of optical thickness
 ! MPLFH : ZTRAY N'EST PAS INITIALISE !!!!! A REVOIR (MPL)
-      ZTRAY=0.
+      ZTRAY= PRAYL(JL) * PDSIG(JL,JK)
 !     print *,'>>>>>>> swclr: ZTRAY ',ZTRAY
       ZDENB = ZTRAY + PTAUAZ(JL,JK)*(1.0_JPRB-PPIZAZ(JL,JK)*ZFF)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_dim.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_dim.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_dim.F90	(revision 2056)
@@ -32,3 +32,7 @@
 TYPE(DIM_TYPE),POINTER     :: R
 
+!$OMP THREADPRIVATE(r)
+!$OMP THREADPRIVATE(dim_resol)
+
+
 END MODULE TPM_DIM
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_distr.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_distr.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_distr.F90	(revision 2056)
@@ -152,4 +152,10 @@
 TYPE(DISTR_TYPE),POINTER     :: D
 
+!$OMP THREADPRIVATE(d,leq_regions,mtagdistgp,mtagdistsp,mtaggl,mtagletr)
+!$OMP THREADPRIVATE(mtaglg,mtaglm,mtagml,mtagpart,myproc,mysetv,mysetw)
+!$OMP THREADPRIVATE(ncombflen,nprgpew,nprgpns,nproc,nprtrns,nprtrv,nprtrw)
+
+!$OMP THREADPRIVATE(distr_resol)
+
 END MODULE TPM_DISTR
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_fft.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_fft.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_fft.F90	(revision 2056)
@@ -14,3 +14,5 @@
 TYPE(FFT_TYPE),POINTER     :: T
 
+!$OMP THREADPRIVATE(t)
+
 END MODULE TPM_FFT
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_gen.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_gen.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_gen.F90	(revision 2056)
@@ -23,3 +23,6 @@
 LOGICAL   :: LMPOFF          ! true: switch off message passing
 
+!$OMP THREADPRIVATE(lalloperm,limp,limp_noolap,lmpoff,msetup0,ncur_resol)
+!$OMP THREADPRIVATE(ndef_resol,nerr,nmax_resol,nout,nprintlev,npromatr)
+
 END MODULE TPM_GEN
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_geometry.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_geometry.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_geometry.F90	(revision 2056)
@@ -19,3 +19,6 @@
 TYPE(GEOM_TYPE),POINTER     :: G
 
+!$OMP THREADPRIVATE(g)
+!$OMP THREADPRIVATE(geom_resol)
+
 END MODULE TPM_GEOMETRY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_trans.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_trans.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/tpm_trans.F90	(revision 2056)
@@ -42,3 +42,8 @@
 INTEGER(KIND=JPIM) :: NGPBLKS ! Number of NPROMA blocks
 
+!$OMP THREADPRIVATE(ldivgp,lscders,luvder,lvorgp,nf_sc2,nf_sc3a,nf_sc3b,ngpblks,nproma)
+!$OMP THREADPRIVATE(foubuf_in,foubuf)
+
 END MODULE TPM_TRANS
+
+
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_mcica.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_mcica.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_mcica.F90	(revision 2056)
@@ -12,3 +12,6 @@
 
 !------------------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(nmci1,nmci2,xcw)
+
 END MODULE YOE_McICA
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_tile_prop.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_tile_prop.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_tile_prop.F90	(revision 2056)
@@ -19,3 +19,4 @@
 REAL(KIND=JPRB),ALLOCATABLE :: RTSKTI (:,:,:) ! SKIN TEMPERATURE 
 
+!$OMP THREADPRIVATE(rahfsti,revapti,rtskti,rustrti,rvstrti)
 END MODULE YOE_TILE_PROP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_uvrad.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_uvrad.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoe_uvrad.F90	(revision 2056)
@@ -22,4 +22,8 @@
 REAL(KIND=JPRB) :: RFCAER, RFCOZO, RMUZUV
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ipuv,jcop,juvlam,luvdbg,luvproc,luvtdep,nraduv,nuv,nuvtim,rasa,rasb)
+!$OMP THREADPRIVATE(rasc,rasd,rase,rasf,rayuvb,rcguva,rcieas,rfa0,rfa1,rfb0,rfb1,rfb2,rfb3)
+!$OMP THREADPRIVATE(rfc0,rfc1,rfc2,rfc3,rfcaer,rfcozo,rfd0,rfd1,rfd2,rfd3,rk250,rmuzuv,rpiuva)
+!$OMP THREADPRIVATE(rsuvb,rsuvb0,rtauva,rtuv1,rtuv2,ruvlam,rxpl,rxpo)
 END MODULE YOE_UVRAD
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaeratm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaeratm.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaeratm.F90	(revision 2056)
@@ -45,4 +45,10 @@
 ! LAER6SDIA  : .T. if radiance diagnostics with 6S
 !     ------------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(indbg,laer6sdia,laerclimg,laerclimz,laerclist,laerdrydp)
+!$OMP THREADPRIVATE(laergbud,laerngat,laerprnt,laerscav,laersedim,laersurf)
+!$OMP THREADPRIVATE(ndd1,nss1,repscaer,rmasse,rmfmin)
+
 END MODULE YOEAERATM
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerd.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerd.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerd.F90	(revision 2056)
@@ -65,3 +65,10 @@
 
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(raedc,raeds,raelc,raels,raesc,raess,raeuc,raeus)
+!$OMP THREADPRIVATE(rcaeadk,rcaeadm,rcaeopd,rcaeopl,rcaeops,rcaeopu)
+!$OMP THREADPRIVATE(rcaeros,rcstbga,rctrbga,rctrpt,rcvobga)
+
+!$OMP THREADPRIVATE(cvdaed,cvdael,cvdaes,cvdaeu)
+
 END MODULE YOEAERD
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerop.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerop.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaerop.F90	(revision 2056)
@@ -31,4 +31,8 @@
 ! OMG is pizero, the single scattering albedo	     ND
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(alf_bc,alf_dd,alf_fa,alf_om,alf_ss,alf_su,asy_bc,asy_dd)
+!$OMP THREADPRIVATE(asy_fa,asy_om,asy_ss,asy_su,omg_bc,omg_dd,omg_fa,omg_om,omg_ss,omg_su)
+
 END MODULE YOEAEROP
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersnk.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersnk.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersnk.F90	(revision 2056)
@@ -58,4 +58,10 @@
 ! RVSEDLIC   :
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(nbrh,r_r,r_s,ralphar,ralphas,rfraer,rfrbc,rfrdd,rfrgas)
+!$OMP THREADPRIVATE(rfrif,rfrom,rfrso4,rfrss,rho_ice,rho_wat,rmmd_dd,rmmd_ss)
+!$OMP THREADPRIVATE(rrhmax,rrho_dd,rrho_ss,rrhtab,rssgrow,rvdplic,rvdplnd)
+!$OMP THREADPRIVATE(rvdpoce,rvdpsic,rvsedlic,rvsedlnd,rvsedoce,rvsedsic)
+
 END MODULE YOEAERSNK
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersrc.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersrc.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeaersrc.F90	(revision 2056)
@@ -44,4 +44,11 @@
 ! JDDUST     : 1 =LSCE, 2 =based on MODIS
 !     ------------------------------------------------------------------
+
+
+
+!$OMP THREADPRIVATE(jkbin,jktyp,laerextr,lepaero,nbinaer,nddust,nindaer)
+!$OMP THREADPRIVATE(nmaxtaer,ntaer,ntypaer,rclonv,rdclonv,rdglav,rdgmuv)
+!$OMP THREADPRIVATE(rdslonv,rgelav,rgemuv,rlatvol,rlonvol,rslonv,rssflx)
+
 END MODULE YOEAERSRC
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecld.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecld.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecld.F90	(revision 2056)
@@ -70,3 +70,10 @@
 !  LOMEGA:  LOGICAL  SWITCH FOR OMEGA-FILTER ON MIDDLE CLOUD
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lomega,ranva,ranvb,ranvh,rcca,rccb,rccc,rcfct)
+!$OMP THREADPRIVATE(rclwmr,rcscal,repscr,repsec,retahb,retamb,rgammas)
+!$OMP THREADPRIVATE(rloia,rloib,rloic,rloid,rlonia,rlonib,rrhh,rrhl,rrhm)
+
+!$OMP THREADPRIVATE(ceta)
+
 END MODULE YOECLD
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeclop.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeclop.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeclop.F90	(revision 2056)
@@ -83,3 +83,10 @@
 ! RRIW   :  REAL   : TRANSITION RANGE
 !     -----------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(raswca,raswcb,raswcc,raswcd,raswce,raswcf,rebcua)
+!$OMP THREADPRIVATE(rebcub,rebcuc,rebcud,rebcue,rebcuf,rebcug,rebcuh)
+!$OMP THREADPRIVATE(rebcui,rebcuj,reffia,reffib,rriw,rtiw,ryfwca)
+!$OMP THREADPRIVATE(ryfwcb,ryfwcc,ryfwcd,ryfwce,ryfwcf)
+
 END MODULE YOECLOP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecnd.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecnd.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoecnd.F90	(revision 2056)
@@ -23,3 +23,8 @@
 ! REPQMI :  Minimum specific humidity (security within QNEGAT)
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(repflm,repfls,repqmi)
+
+!$OMP THREADPRIVATE(cevapcu)
+
 END MODULE YOECND
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoedbug.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoedbug.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoedbug.F90	(revision 2056)
@@ -12,4 +12,7 @@
 INTEGER(KIND=JPIM) :: KSTPDBG(3)
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(kstpdbg)
+
 END MODULE YOEDBUG
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoelw.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoelw.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoelw.F90	(revision 2056)
@@ -79,3 +79,8 @@
 !  RVGO3 :  REAL     RESIDUAL PRESSURE FOR O3  VOIGT LINE HALF-WIDTH
 !     ------------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(alwt,blwt,mxixt,ng1,ng1p1,nipd,nipd2,nsil,ntr,ntra,nua)
+!$OMP THREADPRIVATE(pdga,pdgb,retype,rntnu,ro1h,ro2h,ro3t,rpialf0,rptype,rt1)
+!$OMP THREADPRIVATE(rvgco2,rvgh2o,rvgo3,tintp,tref,tstand,tstp,wg1,xp)
 END MODULE YOELW
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeovlp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeovlp.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoeovlp.F90	(revision 2056)
@@ -21,3 +21,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(ra1ovlp)
 END MODULE YOEOVLP
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephli.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephli.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephli.F90	(revision 2056)
@@ -56,3 +56,7 @@
 !                          ACTIVATED
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lenopert,leppcfls,lphylin,lraisanen,rlpal1,rlpal2,rlpbb)
+!$OMP THREADPRIVATE(rlpbeta,rlpcc,rlpdd,rlpdrag,rlpevap,rlpmixl,rlpp00,rlptrc)
+
 END MODULE YOEPHLI
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephy.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoephy.F90	(revision 2056)
@@ -93,3 +93,10 @@
 ! LE4ALB : LOGICAL  : MODIS ALBEDO (UV-Vis+NIR)x(direct+diffuse) 
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lagphy,lbud23,le4alb,leco2diu,lecond,lecumf,lecurr,ledcld)
+!$OMP THREADPRIVATE(leevap,legwdg,lemethox,lemwave,leo3ch,leocco,leocsa,leocwa)
+!$OMP THREADPRIVATE(leozoc,lepcld,lephys,leqngt,lera40,leradi,lerads,lerain)
+!$OMP THREADPRIVATE(leshcv,lesice,lesurf,levdif,lmftrac,lvdftrac,nephys_pcfull)
+!$OMP THREADPRIVATE(nphproma,nphyint,rthrfrti)
+
 END MODULE YOEPHY
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerad.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerad.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerad.F90	(revision 2056)
@@ -170,3 +170,12 @@
 !                     2: McICA w generalized overlap in cloud generator
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(crtabledir,crtablefil,lccnl,lccno,ldiffc,leco2var,lecsrad)
+!$OMP THREADPRIVATE(ledbug,lepo3ra,lerad1h,leradhs,lhghg,lhvolca,lnewaer,lnotroaer)
+!$OMP THREADPRIVATE(lonewsw,loptrproma,lradlb,lrayl,lrrtm,lsrtm,naer,ncsradf,nhincsol)
+!$OMP THREADPRIVATE(niceopt,ninhom,nlayinh,nliqopt,nlngr1h,nlw,nmcica,nmode,novlp,nozocl)
+!$OMP THREADPRIVATE(npertaer,npertoz,nradfr,nradint,nradip,nradlp,nradnfr,nradpfr,nradpla)
+!$OMP THREADPRIVATE(nradres,nradsfr,nrint,nrproma,nscen,nswnl,nswtl,ntsw,nuv,raovlp)
+!$OMP THREADPRIVATE(rbovlp,rccnlnd,rccnsea,rlwinhf,rpertoz,rre2de,rswinhf)
+
 END MODULE YOERAD
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdi.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdi.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdi.F90	(revision 2056)
@@ -40,3 +40,8 @@
 !          TO BE MORE THAN THE RESPECTIVE VALUE AT SATURATION.
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(rcardi,rccfc11,rccfc12,rcch4,rcco2,rcfc11,rcfc12,rch4)
+!$OMP THREADPRIVATE(rcn2o,repclc,reph2o,rfvar,rhvar,rincsol,rn2o,ro3,rrae)
+!$OMP THREADPRIVATE(rsolinc,rsundur)
+
 END MODULE YOERDI
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdu.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdu.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerdu.F90	(revision 2056)
@@ -49,3 +49,7 @@
 
 !     -----------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(diff,nimp,nout,ntraer,nuaer,r10e,rcday,replog,repsc,repsco,repscq,repsct,repscw)
+
 END MODULE YOERDU
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtab.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtab.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtab.F90	(revision 2056)
@@ -24,4 +24,7 @@
 ! BPADE  :  REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(bpade,trans)
+
 END MODULE YOERRTAB
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2056)
@@ -26,4 +26,6 @@
 ! CORR2  :  REAL   :
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(corr1,corr2)
+
 END MODULE YOERRTBG2
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtftr.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtftr.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrtftr.F90	(revision 2056)
@@ -35,4 +35,7 @@
 !  WT    : REAL    :
 !    -------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(ngb,ngc,ngm,ngn,ngs,wt)
+
 END MODULE YOERRTFTR
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto1.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto1.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto1.F90	(revision 2056)
@@ -33,3 +33,4 @@
 ! SELFREFO: REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO1
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto10.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto10.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto10.F90	(revision 2056)
@@ -32,3 +32,6 @@
 ! KB      : REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo) 
+
 END MODULE YOERRTO10
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto11.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto11.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto11.F90	(revision 2056)
@@ -34,3 +34,5 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO11
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto12.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto12.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto12.F90	(revision 2056)
@@ -29,3 +29,6 @@
 ! SELFREF : REAL
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
+
 END MODULE YOERRTO12
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto13.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto13.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto13.F90	(revision 2056)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO13
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto14.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto14.F90	(revision 2055)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/yoerrto14.F90	(revision 2056)
@@ -34,3 +34,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO14
